summaryrefslogtreecommitdiff
path: root/FS/bin
diff options
context:
space:
mode:
authorivan <ivan>2002-09-09 22:57:34 +0000
committerivan <ivan>2002-09-09 22:57:34 +0000
commit91292eadb6254740a9b72e5dc95f575593f6a35d (patch)
tree151034df74950f185562b5e3fff6515a263ce7cb /FS/bin
parenteb46cd3822674cecdc474b175b1e6f3ede8cc49b (diff)
allow . in untaint_argv, for usernames
Diffstat (limited to 'FS/bin')
-rwxr-xr-xFS/bin/freeside-cc-receipts-report4
-rwxr-xr-xFS/bin/freeside-credit-report4
-rwxr-xr-xFS/bin/freeside-receivables-report4
-rwxr-xr-xFS/bin/freeside-tax-report4
4 files changed, 8 insertions, 8 deletions
diff --git a/FS/bin/freeside-cc-receipts-report b/FS/bin/freeside-cc-receipts-report
index 06e3aba81..136851aec 100755
--- a/FS/bin/freeside-cc-receipts-report
+++ b/FS/bin/freeside-cc-receipts-report
@@ -206,7 +206,7 @@ if($email && $opt_m)
# subroutines
sub untaint_argv {
foreach $_ ( $[ .. $#ARGV ) { #untaint @ARGV
- $ARGV[$_] =~ /^([\w\-\/ :]*)$/ || die "Illegal argument \"$ARGV[$_]\"";
+ $ARGV[$_] =~ /^([\w\-\/ :\.]*)$/ || die "Illegal argument \"$ARGV[$_]\"";
$ARGV[$_]=$1;
}
}
@@ -245,7 +245,7 @@ user: From the mapsecrets file - see config.html from the base documentation
=head1 VERSION
-$Id: freeside-cc-receipts-report,v 1.4 2002-03-07 19:50:23 jeff Exp $
+$Id: freeside-cc-receipts-report,v 1.5 2002-09-09 22:57:34 ivan Exp $
=head1 BUGS
diff --git a/FS/bin/freeside-credit-report b/FS/bin/freeside-credit-report
index 7699daf4d..410dabe8f 100755
--- a/FS/bin/freeside-credit-report
+++ b/FS/bin/freeside-credit-report
@@ -160,7 +160,7 @@ if($email && $opt_m)
# subroutines
sub untaint_argv {
foreach $_ ( $[ .. $#ARGV ) { #untaint @ARGV
- $ARGV[$_] =~ /^([\w\-\/ :]*)$/ || die "Illegal argument \"$ARGV[$_]\"";
+ $ARGV[$_] =~ /^([\w\-\/ :\.]*)$/ || die "Illegal argument \"$ARGV[$_]\"";
$ARGV[$_]=$1;
}
}
@@ -199,7 +199,7 @@ user: From the mapsecrets file - see config.html from the base documentation
=head1 VERSION
-$Id: freeside-credit-report,v 1.4 2002-03-07 19:50:24 jeff Exp $
+$Id: freeside-credit-report,v 1.5 2002-09-09 22:57:34 ivan Exp $
=head1 BUGS
diff --git a/FS/bin/freeside-receivables-report b/FS/bin/freeside-receivables-report
index b5a49031e..f3ad2a1a6 100755
--- a/FS/bin/freeside-receivables-report
+++ b/FS/bin/freeside-receivables-report
@@ -157,7 +157,7 @@ if($email && $opt_m)
sub untaint_argv {
foreach $_ ( $[ .. $#ARGV ) { #untaint @ARGV
- $ARGV[$_] =~ /^([\w\-\/ ]*)$/ || die "Illegal argument \"$ARGV[$_]\"";
+ $ARGV[$_] =~ /^([\w\-\/ \.]*)$/ || die "Illegal argument \"$ARGV[$_]\"";
$ARGV[$_]=$1;
}
}
@@ -192,7 +192,7 @@ user: From the mapsecrets file - see config.html from the base documentation
=head1 VERSION
-$Id: freeside-receivables-report,v 1.5 2002-03-07 19:50:24 jeff Exp $
+$Id: freeside-receivables-report,v 1.6 2002-09-09 22:57:34 ivan Exp $
=head1 BUGS
diff --git a/FS/bin/freeside-tax-report b/FS/bin/freeside-tax-report
index 8d5021358..240f3ad37 100755
--- a/FS/bin/freeside-tax-report
+++ b/FS/bin/freeside-tax-report
@@ -228,7 +228,7 @@ if($email && $opt_m)
# subroutines
sub untaint_argv {
foreach $_ ( $[ .. $#ARGV ) { #untaint @ARGV
- $ARGV[$_] =~ /^([\w\-\/ :]*)$/ || die "Illegal argument \"$ARGV[$_]\"";
+ $ARGV[$_] =~ /^([\w\-\/ :\.]*)$/ || die "Illegal argument \"$ARGV[$_]\"";
$ARGV[$_]=$1;
}
}
@@ -267,7 +267,7 @@ user: From the mapsecrets file - see config.html from the base documentation
=head1 VERSION
-$Id: freeside-tax-report,v 1.4 2002-03-07 19:50:24 jeff Exp $
+$Id: freeside-tax-report,v 1.5 2002-09-09 22:57:34 ivan Exp $
=head1 BUGS